glib2.0 2.14.1-1ubuntu1.1 source package in Ubuntu

Changelog

glib2.0 (2.14.1-1ubuntu1.1) gutsy-security; urgency=low

  * SECURITY UPDATE: possible arbitrary code execution when processing large
    Base64 strings
    - debian/patches/68_CVE-2008-4316.patch: update glib/gbase64.c to properly
      verify the string length and set the length of the output buffer.
    - CVE-2008-4316

 -- Jamie Strandboge <email address hidden>   Thu, 12 Mar 2009 16:47:36 -0500

Upload details

Uploaded by:
Jamie Strandboge on 2009-03-12
Uploaded to:
Gutsy
Original maintainer:
Ubuntu Desktop
Architectures:
any
Section:
libs
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
glib2.0_2.14.1.orig.tar.gz 4.3 MiB 96cccab8f2d9f7ba1f85e5234ebcde454c1c0c0553894af9a69dac00206b1e45
glib2.0_2.14.1-1ubuntu1.1.diff.gz 17.1 KiB baa5d4e130d812d61f15fc7d9175d87da189c3fd9ee8a2b4d2c32f3b2ab0825f
glib2.0_2.14.1-1ubuntu1.1.dsc 1.1 KiB db82474de7fe4f2b8b53a57ce7a6bbd2b347a17675a5bb4fe106e579dc0b37ab

View changes file

Binary packages built by this source

libglib2.0-0: No summary available for libglib2.0-0 in ubuntu gutsy.

No description available for libglib2.0-0 in ubuntu gutsy.

libglib2.0-0-dbg: No summary available for libglib2.0-0-dbg in ubuntu gutsy.

No description available for libglib2.0-0-dbg in ubuntu gutsy.

libglib2.0-data: No summary available for libglib2.0-data in ubuntu gutsy.

No description available for libglib2.0-data in ubuntu gutsy.

libglib2.0-dev: No summary available for libglib2.0-dev in ubuntu gutsy.

No description available for libglib2.0-dev in ubuntu gutsy.

libglib2.0-doc: No summary available for libglib2.0-doc in ubuntu gutsy.

No description available for libglib2.0-doc in ubuntu gutsy.

libglib2.0-udeb: No summary available for libglib2.0-udeb in ubuntu gutsy.

No description available for libglib2.0-udeb in ubuntu gutsy.